#!/bin/sh
export PATH='/usr/obj/ports/hs-cmdargs-0.10.12/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: cmdargs
version: 0.10.12
id: cmdargs-0.10.12-8cb005ef65bbd3f5f6bff07f8ed399d6
key: cmdar_ItMd0xInfF4GSLXJQq7Wxz
license: BSD3
copyright: Neil Mitchell 2009-2014
maintainer: Neil Mitchell <ndmitchell@gmail.com>
homepage: http://community.haskell.org/~ndm/cmdargs/
synopsis: Command line argument processing
description:
    This library provides an easy way to define command line parsers. Most users
    will want to use the "System.Console.CmdArgs.Implicit" module, whose
    documentation contains an example.
    .
    * "System.Console.CmdArgs.Explicit" provides a way to write command line
    parsers for both single mode programs (most programs) and multiple
    mode programs (e.g. darcs or cabal). Parsers are defined by constructing
    a data structure.
    .
    * "System.Console.CmdArgs.Implicit" provides a way to concisely define
    command line parsers, up to three times shorter than getopt. These parsers
    are translated into the Explicit data type.
    .
    * "System.Console.CmdArgs.GetOpt" provides a wrapper allowing compatiblity
    with existing getopt parsers, mapping to the Explicit data type.
    .
    For a general reference on what command line flags are commonly used,
    see <http://www.faqs.org/docs/artu/ch10s05.html>.
category: Console
author: Neil Mitchell <ndmitchell@gmail.com>
exposed: True
exposed-modules:
    System.Console.CmdArgs System.Console.CmdArgs.Annotate
    System.Console.CmdArgs.Default System.Console.CmdArgs.Explicit
    System.Console.CmdArgs.GetOpt System.Console.CmdArgs.Implicit
    System.Console.CmdArgs.Text System.Console.CmdArgs.Helper
    System.Console.CmdArgs.Verbosity System.Console.CmdArgs.Quote
hidden-modules: Data.Generics.Any Data.Generics.Any.Prelude
                System.Console.CmdArgs.Explicit.Complete
                System.Console.CmdArgs.Explicit.ExpandArgsAt
                System.Console.CmdArgs.Explicit.Help
                System.Console.CmdArgs.Explicit.Process
                System.Console.CmdArgs.Explicit.SplitJoin
                System.Console.CmdArgs.Explicit.Type
                System.Console.CmdArgs.Implicit.Ann
                System.Console.CmdArgs.Implicit.Global
                System.Console.CmdArgs.Implicit.Local
                System.Console.CmdArgs.Implicit.Reader
                System.Console.CmdArgs.Implicit.Reform
                System.Console.CmdArgs.Implicit.Type
                System.Console.CmdArgs.Implicit.UI
trusted: False
import-dirs: /usr/local/lib/ghc/cmdargs-0.10.12
library-dirs: /usr/local/lib/ghc/cmdargs-0.10.12
data-dir: /usr/local/share/hs-cmdargs-0.10.12
hs-libraries: HScmdargs-0.10.12-ItMd0xInfF4GSLXJQq7Wxz
depends:
    base-4.8.2.0-3d77ba9c3882e564c6ef1b6e7015bbb1
    filepath-1.4.0.0-59267d26bde9029c896503f5d82794cc
    process-1.2.3.0-b39786ae28e8467892477e35109b2cae
    template-haskell-2.10.0.0-2929bae05847475a63942790b63d769b
    transformers-0.4.2.0-a5bbd954d1c2451a9da96a3615054cc0
haddock-interfaces: /usr/local/share/doc/hs-cmdargs-0.10.12/html/cmdargs.haddock
haddock-html: /usr/local/share/doc/hs-cmdargs-0.10.12/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
